# richtextbuffer.h File Reference

## Classes
class | wxTextAttrDimension
| A class representing a rich text dimension, including units and position. More...
class | wxTextAttrDimensions
| A class for left, right, top and bottom dimensions. More...
class | wxTextAttrSize
| A class for representing width and height. More...
class | wxTextAttrDimensionConverter
| A class to make it easier to convert dimensions. More...
class | wxTextAttrBorder
| A class representing a rich text object border. More...
class | wxTextAttrBorders
| A class representing a rich text object's borders. More...
class | wxTextBoxAttr
| A class representing the box attributes of a rich text object. More...
class | wxRichTextAttr
| A class representing enhanced attributes for rich text objects. More...
class | wxRichTextProperties
| A simple property class using wxVariants. More...
class | wxRichTextFontTable
| Manages quick access to a pool of fonts for rendering rich text. More...
class | wxRichTextRange
| This stores beginning and end positions for a range of data. More...
class | wxRichTextSelection
| Stores selection information. More...
class | wxRichTextObject
| This is the base for drawable rich text objects. More...
class | wxRichTextCompositeObject
| Objects of this class can contain other objects. More...
class | wxRichTextParagraphLayoutBox
class | wxRichTextBox
| This class implements a floating or inline text box, containing paragraphs. More...
class | wxRichTextLine
| This object represents a line in a paragraph, and stores offsets from the start of the paragraph representing the start and end positions of the line. More...
class | wxRichTextParagraph
| This object represents a single paragraph containing various objects such as text content, images, and further paragraph layout objects. More...
class | wxRichTextPlainText
| This object represents a single piece of text. More...
class | wxRichTextImageBlock
| This class stores information about an image, in binary in-memory form. More...
class | wxRichTextImage
| This class implements a graphic object. More...
class | wxRichTextBuffer
| This is a kind of paragraph layout box, used to represent the whole buffer. More...
class | wxRichTextCell
| wxRichTextCell is the cell in a table. More...
class | wxRichTextTable
| wxRichTextTable represents a table with arbitrary columns and rows. More...
class | wxRichTextObjectAddress
| A class for specifying an object anywhere in an object hierarchy, without using a pointer, necessary since wxRTC commands may delete and recreate sub-objects so physical object addresses change. More...
class | wxRichTextCommand
| Implements a command on the undo/redo stack. More...
class | wxRichTextAction
| Implements a part of a command. More...
class | wxRichTextFileHandler
| The base class for file handlers. More...
class | wxRichTextPlainTextHandler
| Implements saving a buffer to plain text. More...
class | wxRichTextRenderer
| This class isolates some common drawing functionality. More...
class | wxRichTextStdRenderer
| The standard renderer for drawing bullets. More...
## Defines
#define | wxRICHTEXT_FIXED_WIDTH 0x01
| Flags determining the available space, passed to Layout.
#define | wxRICHTEXT_FIXED_HEIGHT 0x02
#define | wxRICHTEXT_VARIABLE_WIDTH 0x04
#define | wxRICHTEXT_VARIABLE_HEIGHT 0x08
#define | wxRICHTEXT_LAYOUT_SPECIFIED_RECT 0x10
#define | wxRICHTEXT_DRAW_IGNORE_CACHE 0x01
| Flags to pass to Draw.
#define | wxRICHTEXT_DRAW_SELECTED 0x02
#define | wxRICHTEXT_DRAW_PRINT 0x04
#define | wxRICHTEXT_DRAW_GUIDELINES 0x08
#define | wxRICHTEXT_FORMATTED 0x01
| Flags for GetRangeSize.
#define | wxRICHTEXT_UNFORMATTED 0x02
#define | wxRICHTEXT_CACHE_SIZE 0x04
#define | wxRICHTEXT_HEIGHT_ONLY 0x08
#define | wxRICHTEXT_SETSTYLE_NONE 0x00
| Flags for SetStyle/SetListStyle.
#define | wxRICHTEXT_SETSTYLE_WITH_UNDO 0x01
#define | wxRICHTEXT_SETSTYLE_OPTIMIZE 0x02
#define | wxRICHTEXT_SETSTYLE_PARAGRAPHS_ONLY 0x04
#define | wxRICHTEXT_SETSTYLE_CHARACTERS_ONLY 0x08
#define | wxRICHTEXT_SETSTYLE_RENUMBER 0x10
#define | wxRICHTEXT_SETSTYLE_SPECIFY_LEVEL 0x20
#define | wxRICHTEXT_SETSTYLE_RESET 0x40
#define | wxRICHTEXT_SETSTYLE_REMOVE 0x80
#define | wxRICHTEXT_INSERT_NONE 0x00
| Flags for object insertion.
#define | wxRICHTEXT_INSERT_WITH_PREVIOUS_PARAGRAPH_STYLE 0x01
#define | wxRICHTEXT_INSERT_INTERACTIVE 0x02
#define | wxTEXT_ATTR_KEEP_FIRST_PARA_STYLE 0x10000000
#define | wxSCRIPT_MUL_FACTOR 1.5
| Default superscript/subscript font multiplication factor.
#define | wxRICHTEXT_ALL wxRichTextRange(-2, -2)
#define | wxRICHTEXT_NONE wxRichTextRange(-1, -1)
#define | wxRICHTEXT_NO_SELECTION wxRichTextRange(-2, -2)
#define | wxRICHTEXT_HANDLER_INCLUDE_STYLESHEET 0x0001
#define | wxRICHTEXT_HANDLER_SAVE_IMAGES_TO_MEMORY 0x0010
#define | wxRICHTEXT_HANDLER_SAVE_IMAGES_TO_FILES 0x0020
#define | wxRICHTEXT_HANDLER_SAVE_IMAGES_TO_BASE64 0x0040
#define | wxRICHTEXT_HANDLER_NO_HEADER_FOOTER 0x0080
#define | wxRICHTEXT_HANDLER_CONVERT_FACENAMES 0x0100
## Typedefs
typedef unsigned short | wxTextAttrDimensionFlags
| The type for wxTextAttrDimension flags.
## Enumerations
enum | wxRichTextFileType { wxRICHTEXT_TYPE_ANY = 0, wxRICHTEXT_TYPE_TEXT, wxRICHTEXT_TYPE_XML, wxRICHTEXT_TYPE_HTML, wxRICHTEXT_TYPE_RTF, wxRICHTEXT_TYPE_PDF }
| File types in wxRichText context. More...
enum | wxRichTextHitTestFlags { wxRICHTEXT_HITTEST_NONE = 0x01, wxRICHTEXT_HITTEST_BEFORE = 0x02, wxRICHTEXT_HITTEST_AFTER = 0x04, wxRICHTEXT_HITTEST_ON = 0x08, wxRICHTEXT_HITTEST_OUTSIDE = 0x10, wxRICHTEXT_HITTEST_NO_NESTED_OBJECTS = 0x20, wxRICHTEXT_HITTEST_NO_FLOATING_OBJECTS = 0x40 }
| Flags returned from hit-testing, or passed to hit-test function. More...
enum | wxTextBoxAttrFlags { wxTEXT_BOX_ATTR_FLOAT = 0x00000001, wxTEXT_BOX_ATTR_CLEAR = 0x00000002, wxTEXT_BOX_ATTR_COLLAPSE_BORDERS = 0x00000004, wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT = 0x00000008 }
| Miscellaneous text box flags. More...
enum | wxTextAttrValueFlags { wxTEXT_ATTR_VALUE_VALID = 0x1000, wxTEXT_ATTR_VALUE_VALID_MASK = 0x1000 }
| Whether a value is present, used in dimension flags. More...
enum | wxTextAttrUnits { wxTEXT_ATTR_UNITS_TENTHS_MM = 0x0001, wxTEXT_ATTR_UNITS_PIXELS = 0x0002, wxTEXT_ATTR_UNITS_PERCENTAGE = 0x0004, wxTEXT_ATTR_UNITS_POINTS = 0x0008, wxTEXT_ATTR_UNITS_MASK = 0x000F }
| Units, included in the dimension value. More...
enum | wxTextBoxAttrPosition { wxTEXT_BOX_ATTR_POSITION_STATIC = 0x0000, wxTEXT_BOX_ATTR_POSITION_RELATIVE = 0x0010, wxTEXT_BOX_ATTR_POSITION_ABSOLUTE = 0x0020, wxTEXT_BOX_ATTR_POSITION_MASK = 0x00F0 }
| Position alternatives, included in the dimension flags. More...
enum | wxTextAttrBorderStyle { wxTEXT_BOX_ATTR_BORDER_NONE = 0, wxTEXT_BOX_ATTR_BORDER_SOLID = 1, wxTEXT_BOX_ATTR_BORDER_DOTTED = 2, wxTEXT_BOX_ATTR_BORDER_DASHED = 3, wxTEXT_BOX_ATTR_BORDER_DOUBLE = 4, wxTEXT_BOX_ATTR_BORDER_GROOVE = 5, wxTEXT_BOX_ATTR_BORDER_RIDGE = 6, wxTEXT_BOX_ATTR_BORDER_INSET = 7, wxTEXT_BOX_ATTR_BORDER_OUTSET = 8 }
| Border styles, used with wxTextAttrBorder. More...
enum | wxTextAttrBorderFlags { wxTEXT_BOX_ATTR_BORDER_STYLE = 0x0001, wxTEXT_BOX_ATTR_BORDER_COLOUR = 0x0002 }
| Border style presence flags, used with wxTextAttrBorder. More...
enum | wxTextAttrBorderWidth { wxTEXT_BOX_ATTR_BORDER_THIN = -1, wxTEXT_BOX_ATTR_BORDER_MEDIUM = -2, wxTEXT_BOX_ATTR_BORDER_THICK = -3 }
| Border width symbols for qualitative widths, used with wxTextAttrBorder. More...
enum | wxTextBoxAttrFloatStyle { wxTEXT_BOX_ATTR_FLOAT_NONE = 0, wxTEXT_BOX_ATTR_FLOAT_LEFT = 1, wxTEXT_BOX_ATTR_FLOAT_RIGHT = 2 }
| Float styles. More...
enum | wxTextBoxAttrClearStyle { wxTEXT_BOX_ATTR_CLEAR_NONE = 0, wxTEXT_BOX_ATTR_CLEAR_LEFT = 1, wxTEXT_BOX_ATTR_CLEAR_RIGHT = 2, wxTEXT_BOX_ATTR_CLEAR_BOTH = 3 }
| Clear styles. More...
enum | wxTextBoxAttrCollapseMode { wxTEXT_BOX_ATTR_COLLAPSE_NONE = 0, wxTEXT_BOX_ATTR_COLLAPSE_FULL = 1 }
| Collapse mode styles. More...
enum | wxTextBoxAttrVerticalAlignment { wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_NONE = 0, wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_TOP = 1, wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_CENTRE = 2, wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_BOTTOM = 3 }
| Vertical alignment values. More...
enum | wxRichTextCommandId { wxRICHTEXT_INSERT, wxRICHTEXT_DELETE, wxRICHTEXT_CHANGE_ATTRIBUTES, wxRICHTEXT_CHANGE_STYLE, wxRICHTEXT_CHANGE_OBJECT }
| The command identifiers for Do/Undo. More...
## Functions
| WX_DECLARE_USER_EXPORTED_OBJARRAY (wxVariant, wxRichTextVariantArray, WXDLLIMPEXP_RICHTEXT)
| WX_DECLARE_USER_EXPORTED_OBJARRAY (wxRichTextRange, wxRichTextRangeArray, WXDLLIMPEXP_RICHTEXT)
| WX_DECLARE_LIST_WITH_DECL (wxRichTextObject, wxRichTextObjectList, class WXDLLIMPEXP_RICHTEXT)
| WX_DECLARE_LIST_WITH_DECL (wxRichTextLine, wxRichTextLineList, class WXDLLIMPEXP_RICHTEXT)
| WX_DEFINE_ARRAY_PTR (wxRichTextObject *, wxRichTextObjectPtrArray)
| WX_DECLARE_OBJARRAY (wxRichTextObjectPtrArray, wxRichTextObjectPtrArrayArray)
bool | wxRichTextHasStyle (int flags, int style)
WXDLLIMPEXP_RICHTEXT bool | wxTextAttrEq (const wxRichTextAttr &attr1, const wxRichTextAttr &attr2)
| Compare two attribute objects.
WXDLLIMPEXP_RICHTEXT bool | wxTextAttrEqPartial (const wxRichTextAttr &attr1, const wxRichTextAttr &attr2)
| Compare two attribute objects, but take into account the flags specifying attributes of interest.
WXDLLIMPEXP_RICHTEXT bool | wxRichTextApplyStyle (wxRichTextAttr &destStyle, const wxRichTextAttr &style, wxRichTextAttr *compareWith=NULL)
| Apply one style to another.
WXDLLIMPEXP_RICHTEXT bool | wxRichTextRemoveStyle (wxRichTextAttr &destStyle, const wxRichTextAttr &style)
WXDLLIMPEXP_RICHTEXT bool | wxRichTextCombineBitlists (int &valueA, int valueB, int &flagsA, int flagsB)
| Combine two bitlists.
WXDLLIMPEXP_RICHTEXT bool | wxRichTextBitlistsEqPartial (int valueA, int valueB, int flags)
| Compare two bitlists.
WXDLLIMPEXP_RICHTEXT bool | wxRichTextSplitParaCharStyles (const wxRichTextAttr &style, wxRichTextAttr &parStyle, wxRichTextAttr &charStyle)
| Split into paragraph and character styles.
WXDLLIMPEXP_RICHTEXT bool | wxRichTextTabsEq (const wxArrayInt &tabs1, const wxArrayInt &tabs2)
| Compare tabs.
WXDLLIMPEXP_RICHTEXT wxString | wxRichTextDecimalToRoman (long n)
| Convert a decimal to Roman numerals.
WXDLLIMPEXP_RICHTEXT void | wxTextAttrCollectCommonAttributes (wxTextAttr &currentStyle, const wxTextAttr &attr, wxTextAttr &clashingAttr, wxTextAttr &absentAttr)
WXDLLIMPEXP_RICHTEXT void | wxRichTextModuleInit ()
## Variables
WXDLLIMPEXP_RICHTEXT const wxChar | wxRichTextLineBreakChar
| The line break character that can be embedded in content.
class WXDLLIMPEXP_FWD_RICHTEXT | wxRichTextCommand
class WXDLLIMPEXP_FWD_RICHTEXT | wxRichTextAction

## Define Documentation

#define wxRICHTEXT_ALL wxRichTextRange(-2, -2)

#define wxRICHTEXT_CACHE_SIZE 0x04

#define wxRICHTEXT_DRAW_GUIDELINES 0x08

#define wxRICHTEXT_DRAW_IGNORE_CACHE 0x01

Flags to pass to Draw.

#define wxRICHTEXT_DRAW_PRINT 0x04

#define wxRICHTEXT_DRAW_SELECTED 0x02

#define wxRICHTEXT_FIXED_HEIGHT 0x02

#define wxRICHTEXT_FIXED_WIDTH 0x01

Flags determining the available space, passed to Layout.

#define wxRICHTEXT_FORMATTED 0x01

Flags for GetRangeSize.

#define wxRICHTEXT_HANDLER_CONVERT_FACENAMES 0x0100

#define wxRICHTEXT_HANDLER_INCLUDE_STYLESHEET 0x0001

Handler flags

#define wxRICHTEXT_HANDLER_NO_HEADER_FOOTER 0x0080

#define wxRICHTEXT_HANDLER_SAVE_IMAGES_TO_BASE64 0x0040

#define wxRICHTEXT_HANDLER_SAVE_IMAGES_TO_FILES 0x0020

#define wxRICHTEXT_HANDLER_SAVE_IMAGES_TO_MEMORY 0x0010

#define wxRICHTEXT_HEIGHT_ONLY 0x08

#define wxRICHTEXT_INSERT_INTERACTIVE 0x02

#define wxRICHTEXT_INSERT_NONE 0x00

Flags for object insertion.

#define wxRICHTEXT_INSERT_WITH_PREVIOUS_PARAGRAPH_STYLE 0x01

#define wxRICHTEXT_LAYOUT_SPECIFIED_RECT 0x10

#define wxRICHTEXT_NO_SELECTION wxRichTextRange(-2, -2)

#define wxRICHTEXT_NONE wxRichTextRange(-1, -1)

#define wxRICHTEXT_SETSTYLE_CHARACTERS_ONLY 0x08

#define wxRICHTEXT_SETSTYLE_NONE 0x00

Flags for SetStyle/SetListStyle.

#define wxRICHTEXT_SETSTYLE_OPTIMIZE 0x02

#define wxRICHTEXT_SETSTYLE_PARAGRAPHS_ONLY 0x04

#define wxRICHTEXT_SETSTYLE_REMOVE 0x80

#define wxRICHTEXT_SETSTYLE_RENUMBER 0x10

#define wxRICHTEXT_SETSTYLE_RESET 0x40

#define wxRICHTEXT_SETSTYLE_SPECIFY_LEVEL 0x20

#define wxRICHTEXT_SETSTYLE_WITH_UNDO 0x01

#define wxRICHTEXT_UNFORMATTED 0x02

#define wxRICHTEXT_VARIABLE_HEIGHT 0x08

#define wxRICHTEXT_VARIABLE_WIDTH 0x04

#define wxSCRIPT_MUL_FACTOR 1.5

Default superscript/subscript font multiplication factor.

#define wxTEXT_ATTR_KEEP_FIRST_PARA_STYLE 0x10000000

## Typedef Documentation

typedef unsigned short wxTextAttrDimensionFlags

The type for wxTextAttrDimension flags.

## Enumeration Type Documentation

enum wxRichTextCommandId

The command identifiers for Do/Undo.

Enumerator:

  wxRICHTEXT_INSERT |
  wxRICHTEXT_DELETE |
  wxRICHTEXT_CHANGE_ATTRIBUTES |
  wxRICHTEXT_CHANGE_STYLE |
  wxRICHTEXT_CHANGE_OBJECT |

enum wxRichTextFileType

File types in wxRichText context.

Enumerator:

  wxRICHTEXT_TYPE_ANY |
  wxRICHTEXT_TYPE_TEXT |
  wxRICHTEXT_TYPE_XML |
  wxRICHTEXT_TYPE_HTML |
  wxRICHTEXT_TYPE_RTF |
  wxRICHTEXT_TYPE_PDF |

enum wxRichTextHitTestFlags

Flags returned from hit-testing, or passed to hit-test function.

Enumerator:

  wxRICHTEXT_HITTEST_NONE |
  wxRICHTEXT_HITTEST_BEFORE |
  wxRICHTEXT_HITTEST_AFTER |
  wxRICHTEXT_HITTEST_ON |
  wxRICHTEXT_HITTEST_OUTSIDE |
  wxRICHTEXT_HITTEST_NO_NESTED_OBJECTS |
  wxRICHTEXT_HITTEST_NO_FLOATING_OBJECTS |

enum wxTextAttrBorderFlags

Border style presence flags, used with wxTextAttrBorder.

Enumerator:

  wxTEXT_BOX_ATTR_BORDER_STYLE |
  wxTEXT_BOX_ATTR_BORDER_COLOUR |

enum wxTextAttrBorderStyle

Border styles, used with wxTextAttrBorder.

Enumerator:

  wxTEXT_BOX_ATTR_BORDER_NONE |
  wxTEXT_BOX_ATTR_BORDER_SOLID |
  wxTEXT_BOX_ATTR_BORDER_DOTTED |
  wxTEXT_BOX_ATTR_BORDER_DASHED |
  wxTEXT_BOX_ATTR_BORDER_DOUBLE |
  wxTEXT_BOX_ATTR_BORDER_GROOVE |
  wxTEXT_BOX_ATTR_BORDER_RIDGE |
  wxTEXT_BOX_ATTR_BORDER_INSET |
  wxTEXT_BOX_ATTR_BORDER_OUTSET |

enum wxTextAttrBorderWidth

Border width symbols for qualitative widths, used with wxTextAttrBorder.

Enumerator:

  wxTEXT_BOX_ATTR_BORDER_THIN |
  wxTEXT_BOX_ATTR_BORDER_MEDIUM |
  wxTEXT_BOX_ATTR_BORDER_THICK |

enum wxTextAttrUnits

Units, included in the dimension value.

Enumerator:

  wxTEXT_ATTR_UNITS_TENTHS_MM |
  wxTEXT_ATTR_UNITS_PIXELS |
  wxTEXT_ATTR_UNITS_PERCENTAGE |
  wxTEXT_ATTR_UNITS_POINTS |
  wxTEXT_ATTR_UNITS_MASK |

enum wxTextAttrValueFlags

Whether a value is present, used in dimension flags.

Enumerator:

  wxTEXT_ATTR_VALUE_VALID |
  wxTEXT_ATTR_VALUE_VALID_MASK |

enum wxTextBoxAttrClearStyle

Clear styles.

Enumerator:

  wxTEXT_BOX_ATTR_CLEAR_NONE |
  wxTEXT_BOX_ATTR_CLEAR_LEFT |
  wxTEXT_BOX_ATTR_CLEAR_RIGHT |
  wxTEXT_BOX_ATTR_CLEAR_BOTH |

enum wxTextBoxAttrCollapseMode

Collapse mode styles.

TODO: can they be switched on per side?

Enumerator:

  wxTEXT_BOX_ATTR_COLLAPSE_NONE |
  wxTEXT_BOX_ATTR_COLLAPSE_FULL |

enum wxTextBoxAttrFlags

Miscellaneous text box flags.

Enumerator:

  wxTEXT_BOX_ATTR_FLOAT |
  wxTEXT_BOX_ATTR_CLEAR |
  wxTEXT_BOX_ATTR_COLLAPSE_BORDERS |
  wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT |

enum wxTextBoxAttrFloatStyle

Float styles.

Enumerator:

  wxTEXT_BOX_ATTR_FLOAT_NONE |
  wxTEXT_BOX_ATTR_FLOAT_LEFT |
  wxTEXT_BOX_ATTR_FLOAT_RIGHT |

enum wxTextBoxAttrPosition

Position alternatives, included in the dimension flags.

Enumerator:

  wxTEXT_BOX_ATTR_POSITION_STATIC |
  wxTEXT_BOX_ATTR_POSITION_RELATIVE |
  wxTEXT_BOX_ATTR_POSITION_ABSOLUTE |
  wxTEXT_BOX_ATTR_POSITION_MASK |

enum wxTextBoxAttrVerticalAlignment

Vertical alignment values.

Enumerator:

  wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_NONE |
  wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_TOP |
  wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_CENTRE |
  wxTEXT_BOX_ATTR_VERTICAL_ALIGNMENT_BOTTOM |

## Function Documentation

WX_DECLARE_LIST_WITH_DECL | ( | wxRichTextLine | ,
|  | wxRichTextLineList | ,
|  | class WXDLLIMPEXP_RICHTEXT |  |
| ) |  |  |

WX_DECLARE_LIST_WITH_DECL | ( | wxRichTextObject | ,
|  | wxRichTextObjectList | ,
|  | class WXDLLIMPEXP_RICHTEXT |  |
| ) |  |  |

WX_DECLARE_OBJARRAY | ( | wxRichTextObjectPtrArray | ,
|  | wxRichTextObjectPtrArrayArray |  |
| ) |  |  |

WX_DECLARE_USER_EXPORTED_OBJARRAY | ( | wxRichTextRange | ,
|  | wxRichTextRangeArray | ,
|  | WXDLLIMPEXP_RICHTEXT |  |
| ) |  |  |

WX_DECLARE_USER_EXPORTED_OBJARRAY | ( | wxVariant | ,
|  | wxRichTextVariantArray | ,
|  | WXDLLIMPEXP_RICHTEXT |  |
| ) |  |  |

WX_DEFINE_ARRAY_PTR | ( | wxRichTextObject * | ,
|  | wxRichTextObjectPtrArray |  |
| ) |  |  |

WXDLLIMPEXP_RICHTEXT bool wxRichTextApplyStyle | ( | wxRichTextAttr & | destStyle,
|  | const wxRichTextAttr & | style,
|  | wxRichTextAttr * | compareWith = `NULL` |
| ) |  |  |

Apply one style to another.

WXDLLIMPEXP_RICHTEXT bool wxRichTextBitlistsEqPartial | ( | int | valueA,
|  | int | valueB,
|  | int | flags |
| ) |  |  |

Compare two bitlists.

WXDLLIMPEXP_RICHTEXT bool wxRichTextCombineBitlists | ( | int & | valueA,
|  | int | valueB,
|  | int & | flagsA,
|  | int | flagsB |
| ) |  |  |

Combine two bitlists.

WXDLLIMPEXP_RICHTEXT wxString wxRichTextDecimalToRoman | ( | long | n | ) |

Convert a decimal to Roman numerals.

bool wxRichTextHasStyle | ( | int | flags,
|  | int | style |
| ) |  |  | `[inline]`

Utilities

WXDLLIMPEXP_RICHTEXT void wxRichTextModuleInit | ( |  | ) |

WXDLLIMPEXP_RICHTEXT bool wxRichTextRemoveStyle | ( | wxRichTextAttr & | destStyle,
|  | const wxRichTextAttr & | style |
| ) |  |  |

WXDLLIMPEXP_RICHTEXT bool wxRichTextSplitParaCharStyles | ( | const wxRichTextAttr & | style,
|  | wxRichTextAttr & | parStyle,
|  | wxRichTextAttr & | charStyle |
| ) |  |  |

Split into paragraph and character styles.

WXDLLIMPEXP_RICHTEXT bool wxRichTextTabsEq | ( | const wxArrayInt & | tabs1,
|  | const wxArrayInt & | tabs2 |
| ) |  |  |

Compare tabs.

WXDLLIMPEXP_RICHTEXT void wxTextAttrCollectCommonAttributes | ( | wxTextAttr & | currentStyle,
|  | const wxTextAttr & | attr,
|  | wxTextAttr & | clashingAttr,
|  | wxTextAttr & | absentAttr |
| ) |  |  |

WXDLLIMPEXP_RICHTEXT bool wxTextAttrEq | ( | const wxRichTextAttr & | attr1,
|  | const wxRichTextAttr & | attr2 |
| ) |  |  |

Compare two attribute objects.

WXDLLIMPEXP_RICHTEXT bool wxTextAttrEqPartial | ( | const wxRichTextAttr & | attr1,
|  | const wxRichTextAttr & | attr2 |
| ) |  |  |

Compare two attribute objects, but take into account the flags specifying attributes of interest.

## Variable Documentation

class WXDLLIMPEXP_FWD_RICHTEXT wxRichTextAction

class WXDLLIMPEXP_FWD_RICHTEXT wxRichTextCommand

WXDLLIMPEXP_RICHTEXT const wxChar wxRichTextLineBreakChar

The line break character that can be embedded in content.

|  | [ top ]